org.mozilla.javascript.commonjs.module.provider

## Interface UrlConnectionSecurityDomainProvider

-     public interface UrlConnectionSecurityDomainProvider

  Interface for URL connection based security domain providers. Used by `UrlModuleSourceProvider` to create Rhino security domain objects for newly loaded scripts (see `Context.compileReader(java.io.Reader, String, int, Object)`) based on the properties obtainable through their URL connection.
  Version:
    $Id: UrlConnectionSecurityDomainProvider.java,v 1.3 2011/04/07 20:26:12 hannes%helma.at Exp $
  Author:
    Attila Szegedi

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getSecurityDomain(java.net.URLConnection urlConnection)` Create a new security domain object for a script source identified by its URL connection.

- - ### Method Detail

    - #### getSecurityDomain

          java.lang.Object getSecurityDomain(java.net.URLConnection urlConnection)

      Create a new security domain object for a script source identified by its URL connection.
      Parameters:
        `urlConnection` - the URL connection of the script source
      Returns:
        the security domain object for the script source. Can be null if no security domain object can be created, although it is advisable for the implementations to be able to create a security domain object for any URL connection.